Loading...
Searching...
No Matches
itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform > Class Template Reference

`#include <itkGPUAdvancedTranslationTransform.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>
class itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >

GPU version of AdvancedTranslationTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 40 of file itkGPUAdvancedTranslationTransform.h.

Inheritance diagram for itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUTranslationTransformBase<TScalarType, NDimensions>
using | Pointer = SmartPointer<Self>
using | Self = GPUAdvancedTranslationTransform
Public Types inherited from itk::AdvancedTranslationTransform< TScalarType, NDimensions >
using | ConstPointer = SmartPointer<const Self>
using | InputCovariantVectorType = CovariantVector<TScalarType, Self::SpaceDimension>
using | InputPointType = Point<TScalarType, Self::SpaceDimension>
using | InputVectorType = Vector<TScalarType, Self::SpaceDimension>
using | InputVnlVectorType = vnl_vector_fixed<TScalarType, Self::SpaceDimension>
using | InternalMatrixType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | NonZeroJacobianIndicesType
using | OutputCovariantVectorType = CovariantVector<TScalarType, Self::SpaceDimension>
using | OutputPointType = Point<TScalarType, Self::SpaceDimension>
using | OutputVectorType = Vector<TScalarType, Self::SpaceDimension>
using | OutputVnlVectorType = vnl_vector_fixed<TScalarType, Self::SpaceDimension>
using | Pointer = SmartPointer<Self>
using | Self = AdvancedTranslationTransform
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass = AdvancedTransform<TScalarType, NDimensions, NDimensions>
Public Types inherited from itk::AdvancedTransform< double, 3, 3 >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer
Public Types inherited from itk::GPUTranslationTransformBase< float, 3 >
using | CPUOutputVectorType
using | GPUSuperclass
using | ScalarType
using | Self
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
const CPUOutputVectorType & | GetCPUOffset () const override
Public Member Functions inherited from itk::AdvancedTranslationTransform< TScalarType, NDimensions >
const FixedParametersType & | GetFixedParameters () const override
void | GetJacobian (const InputPointType &, JacobianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialHessian (const InputPointType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialHessian (const InputPointType &inputPoint, SpatialHessianType &sh, JacobianOfSpatialHessianType &jsh, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, SpatialJacobianType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
NumberOfParametersType | GetNumberOfParameters () const override
const OutputVectorType & | GetOffset () const
const ParametersType & | GetParameters () const override
void | GetSpatialHessian (const InputPointType &, SpatialHessianType &) const override
void | GetSpatialJacobian (const InputPointType &, SpatialJacobianType &) const override
TransformCategoryEnum | GetTransformCategory () const override
bool | IsLinear () const override
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTranslationTransform)
| itkStaticConstMacro (ParametersDimension, unsigned int, NDimensions)
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
void | SetFixedParameters (const FixedParametersType &) override
void | SetIdentity ()
void | SetOffset (const OutputVectorType &offset)
void | SetParameters (const ParametersType &parameters) override
OutputCovariantVectorType | TransformCovariantVector (const InputCovariantVectorType &vector) const override
OutputPointType | TransformPoint (const InputPointType &point) const override
OutputVectorType | TransformVector (const InputVectorType &vector) const override
OutputVnlVectorType | TransformVector (const InputVnlVectorType &vector) const override
Public Member Functions inherited from itk::AdvancedTransform< double, 3, 3 >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
virtual void | GetJacobian (const InputPointType &inputPoint, JacobianType &j, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const=0
virtual void | GetJacobianOfSpatialHessian (const InputPointType &inputPoint, JacobianOfSpatialHessianType &jsh, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const=0
virtual void | GetJacobianOfSpatialJacobian (const InputPointType &inputPoint, JacobianOfSpatialJacobianType &jsj, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const=0
virtual NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const
virtual void | GetSpatialHessian (const InputPointType &inputPoint, SpatialHessianType &sh) const=0
virtual void | GetSpatialJacobian (const InputPointType &inputPoint, SpatialJacobianType &sj) const=0
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
Public Member Functions inherited from itk::GPUTranslationTransformBase< float, 3 >
bool | IsTranslationTransform () const override
| itkStaticConstMacro (SpaceDimension, unsigned int, NDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsMatrixOffsetTransform () const

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedTranslationTransform< TScalarType, NDimensions >
static Pointer | New ()

## Protected Member Functions

| GPUAdvancedTranslationTransform ()=default
| ~GPUAdvancedTranslationTransform () override=default
Protected Member Functions inherited from itk::AdvancedTranslationTransform< TScalarType, NDimensions >
| AdvancedTranslationTransform ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~AdvancedTranslationTransform () override
Protected Member Functions inherited from itk::AdvancedTransform< double, 3, 3 >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default
Protected Member Functions inherited from itk::GPUTranslationTransformBase< float, 3 >
GPUDataManager::Pointer | GetParametersDataManager () const override
bool | GetSourceCode (std::string &source) const override
| GPUTranslationTransformBase ()
| ~GPUTranslationTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUAdvancedTranslationTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::AdvancedTransform< double, 3, 3 >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian
Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

using itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 50 of file itkGPUAdvancedTranslationTransform.h.

## CPUOutputVectorType

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

using itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType

Typedefs from GPUSuperclass.

Definition at line 59 of file itkGPUAdvancedTranslationTransform.h.

## CPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

using itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 47 of file itkGPUAdvancedTranslationTransform.h.

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

using itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::GPUSuperclass = GPUTranslationTransformBase<TScalarType, NDimensions>

Definition at line 48 of file itkGPUAdvancedTranslationTransform.h.

## Pointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

using itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 49 of file itkGPUAdvancedTranslationTransform.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

using itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::Self = GPUAdvancedTranslationTransform

Standard class typedefs.

Definition at line 46 of file itkGPUAdvancedTranslationTransform.h.

## Constructor & Destructor Documentation

## GPUAdvancedTranslationTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::GPUAdvancedTranslationTransform | ( |  | ) |

protected default

## ~GPUAdvancedTranslationTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::~GPUAdvancedTranslationTransform | ( |  | ) |

override protected default

## GPUAdvancedTranslationTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::GPUAdvancedTranslationTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

virtual const char * itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedTranslationTransform< TScalarType, NDimensions >.

## GetCPUOffset()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

const CPUOutputVectorType & itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::GetCPUOffset | ( |  | ) | const

inline override virtual

This method returns the CPU value of the offset of the TranslationTransform.

Implements itk::GPUTranslationTransformBase< float, 3 >.

Definition at line 63 of file itkGPUAdvancedTranslationTransform.h.

## New()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

Pointer itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = AdvancedTranslationTransform<TScalarType, NDimensions>>

const Self & itk::GPUAdvancedTranslationTransform< TScalarType, NDimensions, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

Generated on 1768596610 for elastix by 1.15.0 |